<template>
    <div class="card-container">
      <div class="card">
        <div class="info">
          <div class="item">{{ directoryObj.item }}</div>
          <div class="hours">{{ directoryObj.hoursquantity }} hours</div>
          <div class="teacher">Teacher: {{ directoryObj.teacher }}</div>
          <div class="rating">Rating: {{ directoryObj.rating }}</div>
        </div>
        <div class="actions">
          <button @click="deleteDirectory(directoryObj.id)" class="delete-button">Delete</button>
          <button @click="onEdit(directoryObj.id)" class="edit-button">Edit</button>
        </div>
      </div>
    </div>
  </template>
  
  <script>
  import { mapActions } from 'vuex';
  
  export default {
    name: 'DirectoryItem',
  
    props: {
      directoryObj: {
        type: Object,
        default: () => ({}),
      },
    },
  
    methods: {
        ...mapActions(['deleteDirectory']),
        onEdit(editDirectoryId) {
            this.$router.push({
                name: 'config',
                params: {
                    directoryId: editDirectoryId,
                },
            })
        },
     }
}
  </script>
  
  <style lang="scss" scoped>
  .card-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    font-size: x-large;
   
  }
  
  .card {
    width: calc(33.33% - 20px); 
    margin: 10px;
    border: 1px solid #ddd;
    background-color: #fff;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    display: flex;
    flex-direction: column;
    
  }
  
  .info {
    padding: 10px;
    
  }
  
  .actions {
    display: flex;
    justify-content: flex-end;
    padding: 10px;
    font-size: x-large;
  }
  
  .item {
    font-size: 18px;
    font-weight: bold;
    font-size: x-large;
  }
  
  .hours {
    color: #666;
    font-size: x-large;
  }
  
  .teacher{
    font-size: x-large;
  }

  .rating {
    margin-top: 5px;
    font-size: 14px;
  }
  
  .delete-button,
  .edit-button {
    background-color: #e74c3c;
    color: #fff;
    border: none;
    padding: 5px 10px;
    margin-top: 5px;
    cursor: pointer;
   
    font-size: x-large;
  }
  
  .delete-button:hover,
  .edit-button:hover {
    background-color: #c0392b;
  }
  </style>
  